QGIS Application - Bug report #17239
Reported map scale representative fraction is incorrect
2017-10-03 09:57 PM - Nathaniel V. Kelso

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.18.2 Regression?: No

Operating System: macOS 10.10.5 (14F27) Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 25137
Description

| first noticed this when trying to match up screenshots taken off of Google Maps, OpenStreetMap, and Mapzen with screenshots out of
my QGIS project.

When referencing http://kelsocartography.com/blog/?p=2407 | can see web map zoom 5 is 1:18,489,297 map scale.

When | type that scale into the QGIS document | instead get something that is NOT at that zoom. It should be exactly zoom 5 and
1:18,489,297 map scale.

| can always fix this by scaling the QGIS screenshot up by 133%. That fraction reminded me of 96/72. | remember way back in Windows
95 days that OS used a pixels per inch (ppi) of 96 while most everyone else uses 72 ppi.

But when | set my scale to 1:13,901,727 instead for zoom 5 (applying the 133% ratio) then they match up correctly!

Tom Chadwin @tomchadwin looked into this on Gitter and suggests that 96DPI is being suggested as a default in a bunch of places, but
didn't know enough to investigate further:

https://github.com/qgis/QGIS/search?utf8=%E2%9C%93&#38;0=96+dpi&#38;type=

| suspect there may be other HiDPI issues at play here (as Anita Graser @anitagraser points to): #11103

But since the map scale is fundamentally broken and a critical part of "truth" in mapping, this seems like an important piece to track
separately.

For instance, | already enable the QGIS app to run into HiDPI already by toggling the Finder bit to force it to run in HiDPI and it works
fine. It's not a 72 ppi versus 144 ppi issue, it's the bad math with 96 ppi.

Please let me know if | can add additional details :) | use QGIS daily and it's a pleasure to use, keep up the good work!

History

#1 - 2017-10-03 10:02 PM - Nathaniel V. Kelso
- File zoom-scale-qgis.png added

#2 - 2017-10-10 08:46 AM - Jiirgen Fischer
- Description updated

#3 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

2025-04-26 12



http://kelsocartography.com/blog/?p=2407
https://github.com/qgis/QGIS/search?utf8=%E2%9C%93&#38;q=96+dpi&#38;type=

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#4 - 2019-02-24 10:05 AM - Giovanni Manghi
- Resolution set to no timely feedback
- Status changed from Feedback to Closed
